import React from "react";

import Step from "./Step";

export default class StatusDecisionRefuse extends Step
{
	constructor(props)
	{
		super(props);
		this.state = {
			open: false, 
		};
		this.status = 105;
	}

	render()
	{
		const { index, statuscode_id, dealSelected } = this.props;
		const { open } = this.state;

		if(statuscode_id !== this.status)
		{
			return null;
		}

		return (
			<div className={`${ this.status === statuscode_id ? "current" : (statuscode_id > this.status) ? "done" : "" }`}>
				<p>№ { dealSelected }</p>
				<span></span>
				<div className="status_body with_footer">
					{ this._renderHeader("Требуется изменение параметров") }
					<div className="wrap" style={{ display: open ? "block" : "none" }}>
						<div className="single_text">
							<p>Продолжение оформления заблокировано</p>
						</div>
					</div>
					{ open && (
						<div className="status_footer">
						</div>
					) }
				</div>
			</div>
		)
	}
}